Bug 505962 - Fedora 11 Screen Garbage on machines using Intel 845 chipset
Fedora 11 Screen Garbage on machines using Intel 845 chipset
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Triaged
: 505826 510465 514837 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 20:17 EDT by kivar
Modified: 2009-12-16 18:15 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 16:12:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Problem with fedora 11, i845 chipset, and Cheese Webcam software (1.03 MB, image/jpeg)
2009-06-14 20:17 EDT, kivar
no flags Details
Another screenshot of the problem (978.41 KB, image/jpeg)
2009-06-14 20:40 EDT, kivar
no flags Details
dmesg file (28.41 KB, text/plain)
2009-06-15 15:52 EDT, kivar
no flags Details
Xorg.0.log (51.67 KB, text/plain)
2009-06-15 15:55 EDT, kivar
no flags Details
output of lspci -vv (4.12 KB, text/plain)
2009-06-29 05:51 EDT, Armijn Hemel
no flags Details
Screenshot (98.68 KB, image/png)
2009-07-06 08:13 EDT, Marc Eberhard
no flags Details
lspci -nn | grep VGA (120 bytes, text/plain)
2009-07-06 08:14 EDT, Marc Eberhard
no flags Details
dmesg (30.65 KB, text/plain)
2009-07-06 08:14 EDT, Marc Eberhard
no flags Details
Xorg.0.log (273.31 KB, text/plain)
2009-07-06 08:15 EDT, Marc Eberhard
no flags Details

  None (edit)
Description kivar 2009-06-14 20:17:50 EDT
Created attachment 347873 [details]
Problem with fedora 11, i845 chipset, and Cheese Webcam software

Description of problem:
when running cheese or any other X app it seems screen garbage appears on the screen of my machine using an Intel 845 intergrated chipset

Version-Release number of selected component (if applicable):
Fedora 11 release

How reproducible:
Every time (certain?) X apps are run?

Steps to Reproduce:
1.Run X apps like the Cheese Web camera software
2.Garbage appears when the tries to display the graphics
3.
  
Actual results:
See #2

Expected results:
Normal display of screen graphics





Additional info:

Including picture showing problem with fedora 11/w i845 chipset
Comment 1 kivar 2009-06-14 20:40:12 EDT
Created attachment 347875 [details]
Another screenshot of the problem
Comment 2 Matěj Cepl 2009-06-15 10:17:48 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

(In reply to comment #0)
> when running cheese or any other X app it seems screen garbage appears on the
> screen of my machine using an Intel 845 intergrated chipset

Could you elaborate a little bit on that "any other X app", please? Is there any pattern in applications which make problems? Try fire from mesa-demos, playing some video (Youtube or standalone movie clip with totem). 

You can also try other suggestions from https://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_Intel_graphics_adapters

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 kivar 2009-06-15 15:52:24 EDT
Created attachment 347996 [details]
dmesg file
Comment 4 kivar 2009-06-15 15:55:44 EDT
Created attachment 347997 [details]
Xorg.0.log
Comment 5 kivar 2009-06-15 16:03:49 EDT
I did a quick test viewing some .jpg files and the results were interesting:

Loading and viewing the files with Firefox and Gimp didn't generate the screen garabage.....

While loading and viewing the same files with Eye of Gnome and Gthumb *did*
Comment 6 Armijn Hemel 2009-06-29 05:50:34 EDT
I'm seeing the same results: gthumb and flash (with the Adobe flash-plugin) are giving garbage, firefox and gimp give no issues. Booting the kernel with nomodeset worked for me, but that's just a workaround.
Comment 7 Armijn Hemel 2009-06-29 05:51:17 EDT
Created attachment 349766 [details]
output of lspci -vv

Output of lspci on one of my machines that is showing garbage.
Comment 8 Harsh 2009-06-29 08:46:32 EDT
*** Bug 505826 has been marked as a duplicate of this bug. ***
Comment 9 Harsh 2009-06-29 08:55:27 EDT
other applications resulting into garbage are- xmgrace, mplayer, emacs
Comment 10 Dušan Hokův 2009-07-01 09:09:40 EDT
I have on my notebook with intel graphics exactly same problems! I think a lot of apps based on gtk/gnome have problem. I have problem with gthumb and blender - there is graphic buttons moved and wrongly displayed.
Comment 11 Marc Eberhard 2009-07-06 08:13:09 EDT
Same problem here. I'll attach a screenshot and various log files for my machine (Sony Vaio laptop).
Comment 12 Marc Eberhard 2009-07-06 08:13:52 EDT
Created attachment 350595 [details]
Screenshot
Comment 13 Marc Eberhard 2009-07-06 08:14:26 EDT
Created attachment 350596 [details]
lspci -nn | grep VGA
Comment 14 Marc Eberhard 2009-07-06 08:14:53 EDT
Created attachment 350597 [details]
dmesg
Comment 15 Marc Eberhard 2009-07-06 08:15:27 EDT
Created attachment 350598 [details]
Xorg.0.log
Comment 16 Marc Eberhard 2009-07-06 08:28:53 EDT
Probably should mention that I run a plain F11 without xorg.conf. The screenshot shows eog displaying an image. Corruption disappears with nomodeset. I also get corruption with inkscape and other programs. The common theme seems to be that some applications rendering images always corrupt the screen. Interestingly, when the application is terminated, the corruption disappears. It is as if, e.g. eog, renders to a window, but the result is distributed over the whole screen. Like a wrong calculation of memory/screen coordinates to draw the pixels/blocks on. The corruptions looks like it contains the image rendered, though it's hard to say. Firefox renders the same image fine. Would be interesting to know, which X11 interface library and mode is being used by Firefox compared to eog.
Comment 17 Marc Eberhard 2009-07-11 05:02:23 EDT
Found a workaround for my laptop. 

I found the hint at http://en.gentoo-wiki.com/wiki/Intel_GMA pointing to a bug in the kernel described at http://git.kernel.org/?p=linux/kernel/git/anholt/drm-intel.git;a=commit;h=f544847fbaf099278343f875987a983f2b913134 . Long story short, it appears to be a problem with the tiling code and disabling tiling solved all problems for me so far. 

How to do that? Create an xorg.conf file as described in the F11 common bugs page at http://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_Intel_graphics_adapters and then modify the device section to include the option to disable tiling. The relevant part of the xorg.conf should look like this:

Section "Device"
	Identifier  "Videocard0"
	Driver      "intel"
	Option "AccelMethod"   "UXA"
	Option "Tiling"        "False"
EndSection
Comment 18 Gareth 2009-07-12 10:19:18 EDT
Can confirm the bug on the hardware I has also. The workaround above works. 

What is 'funny' is that viewing a screenshot of a screenshot on an affected system (using EOG), produces a corrupted background, but valid original picture.

Seems to fix other programs as well (mythtv in particular)
Comment 19 Marko Nurmenniemi 2009-07-14 12:18:22 EDT
Another affected system here for specifics see here.
http://www.smolts.org/client/show/pub_9ab328d0-5024-4888-8552-81ffc8b5c4d3

I was able to get the basic X with
nomodeset as grub bootup parameter and this in xorg.conf
 
Section "Device"
 Identifier  "Videocard0"
 Driver      "intel"
 Option "AccelMethod"   "XAA"
EndSection

Finally today was able to make some progress with this in xorg.conf

Section "Device"
 Identifier  "Videocard0"
 Driver      "intel"
 Option "AccelMethod"   "EXA"
 Option "Tiling"        "False"
EndSection

and taking OUT the "nomodeset" from boot parameter. No tearing in video and somewhat better performance.

The line "Option "AccelMethod"   "XAA"" was left from Fedora 10 but worked until the upgrade to F11 mostly fine.

"AccelMethod"   "UXA"" results in completely frozen PC, no X, no ssh. Reboot from poweroff needed.
Comment 20 marklee_nospam 2009-07-17 19:59:41 EDT
Another system in case it helps. see
http://www.smolts.org/show?uuid=pub_65283586-33f9-469e-a6aa-641d6d28bdf9

Note - my symptoms are well described in bug 510465 (https://bugzilla.redhat.com/show_bug.cgi?id=510465 ).  Namely: 

1) without "nomodeset" and without an xorg.conf playing video clips from youtube/bbc etc would give garbage on the screen (as seen in the screenshots above, or worse).  

2) With "nomodeset" as a kernel parameter (but no xorg.conf) youtube was fine, but Totem movieplayer would cause X to crash.

3) Without "nomodeset", but with an xorg.conf with the following lines:

 Option "AccelMethod"   "EXA"
 Option "Tiling"        "False"

in the Device section, both youtube and Totem were fine.

(I'm running XCFE, intstalled from the XFCE Fedora 11 live CD, fully updated).
Comment 21 Peter Janakiev 2009-07-22 10:05:40 EDT
The solution proposed in #20 is not working for me, I have disabled the kms with nomodeset and then the EXA was used, then I added Tiling -> False and it stated:
(**) intel(0): Tiling disabled
But still when I start playing a video using XV I get screen corruption and either X server restart or complete freeze of the system. 
I am also having
00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)

Otherwise all else seem to work with or without KMS, including the suspend/resume. 
Someone having resolution for this that can actually work on 855GM?I want to use XVideo as it seem the fastest and most reliable on this video card.
Comment 22 Marko Nurmenniemi 2009-07-24 09:15:29 EDT
Without "nomodeset", but with an xorg.conf and the following lines:

 Option "AccelMethod"   "UXA"
 Option "Tiling"        "False"

Everything seem to work

Updated the kernel today to 2.6.29.6-213.fc11.i586

xorg-x11-drv-intel-2.7.0-7.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
Comment 23 Matěj Cepl 2009-07-24 09:31:42 EDT
*** Bug 510465 has been marked as a duplicate of this bug. ***
Comment 24 Adam Williamson 2009-07-24 15:14:13 EDT
 Option "AccelMethod"   "UXA"

should not be necessary, that's the default. It should work with nothing but:

 Option "Tiling"        "False"

can you confirm that? Then we have a fairly precise bead on the issue.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 25 Jonathan Evans 2009-07-24 15:17:41 EDT
The tiling option is the only change I made, and that resolved the issue for me.
Comment 26 Theodore Lee 2009-07-25 01:34:42 EDT
I can also confirm that disabling tiling seems to solve the problem on an Intel 855GM.
Comment 27 Marko Nurmenniemi 2009-07-25 02:58:38 EDT
I tried both with "UXA" and commented that line out (which is how it has been running ever since), it is working ok.

As a side note, this is the first time I have been able to enable the Desktop Effects on this machine.
Comment 28 Harsh 2009-07-27 04:19:08 EDT
Disabling tilting works on Intel 845GV.
Comment 29 Marc Eberhard 2009-07-28 04:33:32 EDT
(In reply to comment #24)
>  Option "AccelMethod"   "UXA"
> 
> should not be necessary, that's the default. It should work with nothing but:
> 
>  Option "Tiling"        "False"
> 
> can you confirm that? Then we have a fairly precise bead on the issue.

Confirmed on my system.
Comment 30 marklee_nospam 2009-07-28 17:30:12 EDT
Confirmed that "Tiling" "False" with UXA works on my system (from comment #20)
Comment 31 Martin Andrews 2009-07-28 17:54:18 EDT
Confirmed that adding "Tiling" "False" to an xorg.conf generated automatically by system-config-display works.

lspci gives my internal video as :

VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
Comment 32 lemondedejici 2009-08-03 18:37:29 EDT
(In reply to comment #24)
>  Option "AccelMethod"   "UXA"
> 
> should not be necessary, that's the default. It should work with nothing but:
> 
>  Option "Tiling"        "False"
> 
> can you confirm that? Then we have a fairly precise bead on the issue.
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

Confirmed on my system.
Comment 33 Matěj Cepl 2009-08-07 19:16:48 EDT
*** Bug 514837 has been marked as a duplicate of this bug. ***
Comment 34 rene reitsma 2009-08-12 17:27:28 EDT
Indeed,

setting 

Option "Tiling" "False"

in the "Device" section of /etc/X11/xorg.conf

did the trick :-) 

(I also added this comment to my bug #514837 (just in case
someone stumbles onto that one first)

At least I'm back in business!
Comment 35 kivar 2009-08-23 01:45:47 EDT
(In reply to comment #31)
> Confirmed that adding "Tiling" "False" to an xorg.conf generated automatically
> by system-config-display works.
> 
> lspci gives my internal video as :
> 
> VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset
> Integrated Graphics Device (rev 01)  
>
>

Adding "Tiling" "False" to the xorg.conf on my machine using a 845G/GL [Brookdale-G]/GE Chipset also seems to fix the screen garbage problem.
Comment 36 zer0c123 2009-08-28 15:42:32 EDT
I can confirm that adding "Tiling" "False" to the xorg.conf file fixes the screen garbage on a dell 700m with Intel 855M chipset. 

The configuration I did was getting a xorg.conf file and adding the Tiling False line to the xorg file.

Testing with youtube has only caused a crash once. Also if watching a video that has a really fast motion, this causes a tearing effect in the video that looks very similar to the garbage displayed when you do not add "Tiling" False to the xorg file.
Comment 37 zer0c123 2009-09-06 16:11:02 EDT
The horizontal tearing effect is also present with watching videos with totem and vlc player. 

nomodeset: This correct the tearing effect when watching streaming video like youtube, but watching video with totem or vlc will cause a crash.


Option "AccelMethod" "EXA"

Option "AccelMethod" "XAA"

I didn't see any difference with both Accelmethod settings.
Comment 38 sawrub 2009-10-13 23:33:05 EDT
With  82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device

following settings worked :
	Option "AccelMethod"   "XAA"
	Option "Tiling"        "False"

though
 
Option "AccelMethod"   "EXA"
Option "Tiling"        "False"

were not helpful.
Comment 40 Matěj Cepl 2009-11-05 13:31:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 41 Theodore Lee 2009-11-06 07:41:34 EST
This issue still occurs for me at least. Unless tiling is disabled in xorg.conf, videos, Cheese, Flash objects and most games (I guess this means anything hardware-accelerated) result in screen corruption.

I'm running an up-to-date F11 install with updates-testing enabled. As I mentioned earlier in this bug report, my system uses an Intel 855GM.
Comment 42 Amir R. 2009-11-06 13:28:35 EST
I still have this problem and I have FC11 with latest updates and 'updates-testing' enabled. My VGA is the following:

(--) PCI:*(0:0:2:0) 8086:2562:1028:0160 Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 1, Mem @ 0xe8000000/134217728, 0xfeb80000/524288, BIOS @ 0x????????/131072
Comment 43 Adam Williamson 2009-11-06 15:55:51 EST
it'd be nice if someone could test with F12, just so we know where we're at for that release, really - I haven't seen enough ancient hardware (sorry) test results to be really happy yet.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 44 Theodore Lee 2009-11-27 00:15:52 EST
Well I just did an upgrade to F12 (via preupgrade) and removed my xorg.conf - a restart later and graphics seems to still be working just fine. So for me at least, this bug appears to be fixed.
Comment 45 sawrub 2009-11-27 00:59:13 EST
The xorg issues for which this bug was filed seems fixed under F12 a fresh install of F12, but now i'm under a new duel 
https://bugzilla.redhat.com/show_bug.cgi?id=539494
Comment 46 Matěj Cepl 2009-11-27 07:28:43 EST
Reporter, could you please confirm that it is so?

Thank you
Comment 47 Adam Williamson 2009-11-27 13:27:20 EST
matej: note that I only asked because I wanted to get some data on how 845s were working in F12, before F12 was released. I wasn't planning to close this bug even if it works in F12...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 48 kivar 2009-11-27 21:58:34 EST
(In reply to comment #46)
> Reporter, could you please confirm that it is so?
> 
> Thank you

  
As was stated The xorg issues for which this particular bug was filed (screen corruption) seems fixed under F12, but there seems to  be further issues with the xorg intel 845 driver itself under F12.
Comment 49 Vedran Miletić 2009-12-04 13:16:22 EST
Adam: is it likely that someone will backport new Intel driver stuff to F11, so that there is actually some purpose in leaving this open?
Comment 50 Matěj Cepl 2009-12-04 16:12:44 EST
(In reply to comment #49)
> Adam: is it likely that someone will backport new Intel driver stuff to F11, so
> that there is actually some purpose in leaving this open?  

Most likely not, porting latest Inter driver to the kernel version in F11 is apparently too big problem, so we probably won't do it.

(In reply to comment #48)
> As was stated The xorg issues for which this particular bug was filed (screen
> corruption) seems fixed under F12, but there seems to  be further issues with
> the xorg intel 845 driver itself under F12.  

Please, file a separate bugs for these issues.

This bug is closed as NEXTRELEASE
Comment 51 Adam Williamson 2009-12-11 15:33:59 EST
well should we just close every f11 intel bug then? :/

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 52 Vedran Miletić 2009-12-12 02:45:33 EST
I would suggest something else: post a standard "please retest in F12" text, and if it's still broken just update version; if it isn't, close it as NEXTRELEASE. If reported doesn't reply within a month, close it as INSUFFICIENT_DATA.

Ideas?
Comment 53 Adam Williamson 2009-12-16 18:15:42 EST
it still rather sucks - we're supposed to support f11, after all. I think on balance I'd prefer to leave them rotting away until f11 goes EOL. it's vaguely possible some of 'em will get fixed by kernel rebases or something.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.